CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-7187

Off-by-one error in the read_token_word function in parse.y in GNU Bash through 4.3 bash43-026 allows remote attackers to cause a denial of service (out-of-bounds array access and application crash) or possibly have unspecified other impact via deeply nested for loops, aka the "word_lineno" issue.
Publish Date : 2014-09-28 Last Update Date : 2018-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceOverflow
CWE ID 119

- Related OVAL Definitions

Title Definition Id Class Family
ELSA-2014-1306 -- bash security update (Important) oval:org.mitre.oval:def:27118 unix
RHSA-2014:1306: bash security update (Important) oval:com.redhat.rhsa:def:20141306 unix
SUSE-SU-2014:1259-1 -- bash (important) oval:org.mitre.oval:def:27981 unix
SUSE-SU-2014:1247-1 -- Security update for bash oval:org.mitre.oval:def:26631 unix
USN-2364-1 -- bash vulnerabilities oval:org.mitre.oval:def:27163 unix
VMware product updates address critical Bash security vulnerabilities oval:org.mitre.oval:def:28370 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-7187

# Product Type Vendor Product Version Update Edition Language
1 Application GNU Bash 1.14.0 * * * Version Details Vulnerabilities
2 Application GNU Bash 1.14.1 * * * Version Details Vulnerabilities
3 Application GNU Bash 1.14.2 * * * Version Details Vulnerabilities
4 Application GNU Bash 1.14.3 * * * Version Details Vulnerabilities
5 Application GNU Bash 1.14.4 * * * Version Details Vulnerabilities
6 Application GNU Bash 1.14.5 * * * Version Details Vulnerabilities
7 Application GNU Bash 1.14.6 * * * Version Details Vulnerabilities
8 Application GNU Bash 1.14.7 * * * Version Details Vulnerabilities
9 Application GNU Bash 2.0 * * * Version Details Vulnerabilities
10 Application GNU Bash 2.01 * * * Version Details Vulnerabilities
11 Application GNU Bash 2.01.1 * * * Version Details Vulnerabilities
12 Application GNU Bash 2.02 * * * Version Details Vulnerabilities
13 Application GNU Bash 2.02.1 * * * Version Details Vulnerabilities
14 Application GNU Bash 2.03 * * * Version Details Vulnerabilities
15 Application GNU Bash 2.04 * * * Version Details Vulnerabilities
16 Application GNU Bash 2.05 A * * Version Details Vulnerabilities
17 Application GNU Bash 2.05 B * * Version Details Vulnerabilities
18 Application GNU Bash 2.05 * * * Version Details Vulnerabilities
19 Application GNU Bash 3.0 * * * Version Details Vulnerabilities
20 Application GNU Bash 3.0.16 * * * Version Details Vulnerabilities
21 Application GNU Bash 3.1 * * * Version Details Vulnerabilities
22 Application GNU Bash 3.2 * * * Version Details Vulnerabilities
23 Application GNU Bash 3.2.48 * * * Version Details Vulnerabilities
24 Application GNU Bash 4.0 RC1 * * Version Details Vulnerabilities
25 Application GNU Bash 4.0 * * * Version Details Vulnerabilities
26 Application GNU Bash 4.1 * * * Version Details Vulnerabilities
27 Application GNU Bash 4.2 * * * Version Details Vulnerabilities
28 Application GNU Bash 4.3 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
GNU Bash 28

- References For CVE-2014-7187

http://marc.info/?l=bugtraq&m=141383081521087&w=2
HP HPSBMU03144
http://openwall.com/lists/oss-security/2014/09/25/32
MLIST [oss-security] 20140925 Fwd: Non-upstream patches for bash
http://marc.info/?l=bugtraq&m=141383026420882&w=2
HP HPSBMU03143
http://www.qnap.com/i/en/support/con_show.php?cid=61 CONFIRM
http://marc.info/?l=bugtraq&m=141383138121313&w=2
HP HPSBST03131
http://secunia.com/advisories/60044
SECUNIA 60044
http://www-01.ibm.com/support/docview.wss?uid=swg21686246 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21686445 CONFIRM
https://supportcenter.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk102673&src=securityAlerts CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21687079 CONFIRM
http://secunia.com/advisories/60024
SECUNIA 60024
http://marc.info/?l=bugtraq&m=141383304022067&w=2
HP HPSBGN03141
http://marc.info/?l=bugtraq&m=141383244821813&w=2
HP HPSBGN03142
http://lists.opensuse.org/opensuse-updates/2014-10/msg00025.html
SUSE openSUSE-SU-2014:1310
http://www-01.ibm.com/support/docview.wss?uid=isg3T1021361 CONFIRM
http://secunia.com/advisories/60433
SECUNIA 60433
http://marc.info/?l=bugtraq&m=141450491804793&w=2
HP HPSBST03157
http://secunia.com/advisories/60063
SECUNIA 60063
http://secunia.com/advisories/61291
SECUNIA 61291
http://www-01.ibm.com/support/docview.wss?uid=swg21686494 CONFIRM
http://secunia.com/advisories/61312
SECUNIA 61312
http://secunia.com/advisories/61855
SECUNIA 61855
http://www-01.ibm.com/support/docview.wss?uid=swg21686131 CONFIRM
http://secunia.com/advisories/61550
SECUNIA 61550
https://support.f5.com/kb/en-us/solutions/public/15000/600/sol15629.html CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004915 CONFIRM
http://secunia.com/advisories/58200
SECUNIA 58200
http://secunia.com/advisories/61328
SECUNIA 61328
http://secunia.com/advisories/61857
SECUNIA 61857
http://secunia.com/advisories/60193
SECUNIA 60193
http://www-01.ibm.com/support/docview.wss?uid=swg21685604 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21686084 CONFIRM
http://marc.info/?l=bugtraq&m=141330468527613&w=2
HP HPSBGN03138
http://secunia.com/advisories/61188
SECUNIA 61188
http://marc.info/?l=bugtraq&m=141345648114150&w=2
HP HPSBHF03125
https://support.citrix.com/article/CTX200217 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004879 CONFIRM
http://secunia.com/advisories/60034
SECUNIA 60034
http://secunia.com/advisories/61816
SECUNIA 61816
http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5096315 CONFIRM
http://secunia.com/advisories/61283
SECUNIA 61283
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004897 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21686479 CONFIRM
http://secunia.com/advisories/60055
SECUNIA 60055
http://secunia.com/advisories/61129
SECUNIA 61129
http://www-01.ibm.com/support/docview.wss?uid=isg3T1021279 CONFIRM
https://support.citrix.com/article/CTX200223 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21685733 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004898 CONFIRM
http://secunia.com/advisories/61442
SECUNIA 61442
http://secunia.com/advisories/61287
SECUNIA 61287
http://secunia.com/advisories/61128
SECUNIA 61128
http://secunia.com/advisories/61065
SECUNIA 61065
http://secunia.com/advisories/61313
SECUNIA 61313
http://www.vmware.com/security/advisories/VMSA-2014-0010.html CONFIRM
http://www.oracle.com/technetwork/topics/security/bashcve-2014-7169-2317675.html CONFIRM
http://secunia.com/advisories/61603
SECUNIA 61603
http://packetstormsecurity.com/files/128517/VMware-Security-Advisory-2014-0010.html
http://www-01.ibm.com/support/docview.wss?uid=isg3T1021272 CONFIRM
http://secunia.com/advisories/61703
SECUNIA 61703
http://packetstormsecurity.com/files/128567/CA-Technologies-GNU-Bash-Shellshock.html
http://secunia.com/advisories/61633
SECUNIA 61633
http://secunia.com/advisories/61552
SECUNIA 61552
http://www-01.ibm.com/support/docview.wss?uid=swg21685914 CONFIRM
https://kb.juniper.net/InfoCenter/index?page=content&id=JSA10648 CONFIRM
http://secunia.com/advisories/61503
SECUNIA 61503
http://secunia.com/advisories/61643
SECUNIA 61643
http://seclists.org/fulldisclosure/2014/Oct/0
FULLDISC 20141001 FW: NEW VMSA-2014-0010 - VMware product updates address critical Bash security vulnerabilities
http://openwall.com/lists/oss-security/2014/09/28/10
MLIST [oss-security] 20140928 Re: CVE-2014-6271: remote code execution through bash
http://secunia.com/advisories/61485
SECUNIA 61485
http://www.novell.com/support/kb/doc.php?id=7015721 CONFIRM
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20140926-bash
CISCO 20140926 GNU Bash Environment Variable Command Injection Vulnerability
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00048.html
SUSE SUSE-SU-2014:1259
http://www-01.ibm.com/support/docview.wss?uid=swg21685749 CONFIRM
http://secunia.com/advisories/59907
SECUNIA 59907
http://secunia.com/advisories/61654
SECUNIA 61654
http://rhn.redhat.com/errata/RHSA-2014-1312.html
REDHAT RHSA-2014:1312
http://rhn.redhat.com/errata/RHSA-2014-1311.html
REDHAT RHSA-2014:1311
http://www.ubuntu.com/usn/USN-2364-1
UBUNTU USN-2364-1
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00044.html
SUSE openSUSE-SU-2014:1254
http://openwall.com/lists/oss-security/2014/09/26/2
MLIST [oss-security] 20140926 Re: Fwd: Non-upstream patches for bash
https://www.suse.com/support/shellshock/ CONFIRM
http://support.novell.com/security/cve/CVE-2014-7187.html CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00042.html
SUSE SUSE-SU-2014:1247
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00038.html
SUSE openSUSE-SU-2014:1229
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00041.html
SUSE openSUSE-SU-2014:1242
http://secunia.com/advisories/61622
SECUNIA 61622
http://secunia.com/advisories/61565
SECUNIA 61565
http://secunia.com/advisories/61636
SECUNIA 61636
https://kb.bluecoat.com/index?page=content&id=SA82 CONFIRM
http://secunia.com/advisories/61618
SECUNIA 61618
http://secunia.com/advisories/61641
SECUNIA 61641
http://jvn.jp/en/jp/JVN55667175/index.html
JVN JVN#55667175
http://secunia.com/advisories/61479
SECUNIA 61479
http://lists.opensuse.org/opensuse-updates/2014-10/msg00023.html
SUSE openSUSE-SU-2014:1308
http://jvndb.jvn.jp/jvndb/JVNDB-2014-000126
JVNDB JVNDB-2014-000126
http://marc.info/?l=bugtraq&m=141383196021590&w=2
HP HPSBST03129
http://www-01.ibm.com/support/docview.wss?uid=swg21686447 CONFIRM
http://rhn.redhat.com/errata/RHSA-2014-1354.html
REDHAT RHSA-2014:1354
http://secunia.com/advisories/61873
SECUNIA 61873
http://marc.info/?l=bugtraq&m=141577241923505&w=2
HP HPSBST03181
http://marc.info/?l=bugtraq&m=141576728022234&w=2
HP HPSBST03155
http://marc.info/?l=bugtraq&m=141577297623641&w=2
HP HPSBST03154
http://marc.info/?l=bugtraq&m=141577137423233&w=2
HP HPSBMU03165
http://marc.info/?l=bugtraq&m=141585637922673&w=2
HP HPSBMU03182
http://marc.info/?l=bugtraq&m=141694386919794&w=2
HP HPSBST03148
http://secunia.com/advisories/62343
SECUNIA 62343
http://secunia.com/advisories/62312
SECUNIA 62312
http://lists.apple.com/archives/security-announce/2015/Jan/msg00003.html
APPLE APPLE-SA-2015-01-27-4
http://support.apple.com/HT204244 CONFIRM
http://marc.info/?l=bugtraq&m=142358026505815&w=2
HP HPSBMU03245
http://marc.info/?l=bugtraq&m=142358078406056&w=2
HP HPSBMU03246
http://marc.info/?l=bugtraq&m=142289270617409&w=2
HP SSRT101830
http://marc.info/?l=bugtraq&m=141879528318582&w=2
HP HPSBMU03217
http://marc.info/?l=bugtraq&m=142118135300698&w=2
HP SSRT101868
http://marc.info/?l=bugtraq&m=142721162228379&w=2
HP SSRT101819
http://www.mandriva.com/security/advisories?name=MDVSA-2015:164
MANDRIVA MDVSA-2015:164
http://lists.apple.com/archives/security-announce/2015/Sep/msg00008.html
APPLE APPLE-SA-2015-09-30-3
https://support.apple.com/HT205267 CONFIRM
https://kc.mcafee.com/corporate/index?page=content&id=SB10085 CONFIRM
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-c04518183 CONFIRM
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-c04497075 CONFIRM
http://www.securityfocus.com/archive/1/533593/100/0/threaded
BUGTRAQ 20141001 NEW VMSA-2014-0010 - VMware product updates address critical Bash security vulnerabilities

- Metasploit Modules Related To CVE-2014-7187

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.